Debian Bug report logs - #596351
ohai fails with: to_json: source sequence is illegal/malformed

version graph

Package: ruby-json; Maintainer for ruby-json is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for ruby-json is src:ruby-json.

Reported by: "Christopher Huhn, GSI" <C.Huhn@gsi.de>

Date: Fri, 10 Sep 2010 16:15:01 UTC

Severity: grave

Fixed in version ruby-json/1.5.1-2

Done: Alexander Kurtz <kurtz.alex@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Fri, 10 Sep 2010 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Christopher Huhn, GSI" <C.Huhn@gsi.de>:
New Bug report received and forwarded. Copy sent to Joshua Timberman <joshua@opscode.com>. (Fri, 10 Sep 2010 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Christopher Huhn, GSI" <C.Huhn@gsi.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ohai fails with: to_json: source sequence is illegal/malformed
Date: Fri, 10 Sep 2010 18:00:35 +0200
Package: ohai
Version: 0.5.6-1
Severity: grave
Justification: renders package unusable

Simply running ohai fails on my box with the following error:

/usr/lib/ruby/1.8/json/common.rb:232:in `to_json': source sequence is illegal/malformed (JSON::GeneratorError)
        from /usr/lib/ruby/1.8/json/common.rb:232:in `pretty_generate'
        from /usr/lib/ruby/1.8/ohai/system.rb:222:in `json_pretty_print'
        from /usr/lib/ruby/1.8/ohai/application.rb:104:in `run_application'
        from /usr/lib/ruby/1.8/ohai/application.rb:75:in `run'
        from /usr/bin/ohai:47

A quick search on Google gives the hint that libjson-ruby might be too old.

Regards,
	Christopher

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages ohai depends on:
ii  libohai-ruby                  0.5.6-1    Library to collect data about your
ii  ruby                          4.5        An interpreter of object-oriented 

ohai recommends no packages.

Versions of packages ohai suggests:
pn  ohai-doc                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Tue, 14 Sep 2010 17:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Tue, 14 Sep 2010 17:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 596351@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 596351@bugs.debian.org
Subject: RE: ohai fails with: to_json: source sequence is illegal/malformed
Date: Tue, 14 Sep 2010 18:11:38 +0100
Hi there,

I just installed ohai (0.5.6-1, libohai-ruby 0.5.6-1, ruby 4.5 -- like you), 
and running ohai has no problems...

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sat, 18 Sep 2010 14:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schutte <michi@uiae.at>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 18 Sep 2010 14:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 596351@bugs.debian.org (full text, mbox):

From: Michael Schutte <michi@uiae.at>
To: "Christopher Huhn, GSI" <C.Huhn@gsi.de>, 596351@bugs.debian.org
Subject: Re: Bug#596351: ohai fails with: to_json: source sequence is illegal/malformed
Date: Sat, 18 Sep 2010 16:10:11 +0200
[Message part 1 (text/plain, inline)]
Hi Christopher,

On Fri, Sep 10, 2010 at 06:00:35PM +0200, Christopher Huhn, GSI wrote:
> Simply running ohai fails on my box with the following error:
> 
> /usr/lib/ruby/1.8/json/common.rb:232:in `to_json': source sequence is illegal/malformed (JSON::GeneratorError)
>         from /usr/lib/ruby/1.8/json/common.rb:232:in `pretty_generate'
>         from /usr/lib/ruby/1.8/ohai/system.rb:222:in `json_pretty_print'
>         from /usr/lib/ruby/1.8/ohai/application.rb:104:in `run_application'
>         from /usr/lib/ruby/1.8/ohai/application.rb:75:in `run'
>         from /usr/bin/ohai:47

I notice you are using an 8-bit charset; perhaps there is some non-UTF-8
data that might upset the JSON library.  May I ask you the problem is
still present when you run “LANG=C LC_ALL=C ohai”?

I guess the results of “ohai -ldebug” could also be useful to diagnose
the issue.

Cheers,
-- 
Michael Schutte <michi@uiae.at>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sat, 13 Nov 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 13 Nov 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 596351@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Michael Schutte <michi@uiae.at>, 596351@bugs.debian.org
Cc: "Christopher Huhn, GSI" <C.Huhn@gsi.de>
Subject: Re: Bug#596351: ohai fails with: to_json: source sequence is illegal/malformed
Date: Sat, 13 Nov 2010 19:03:01 +0000
[Message part 1 (text/plain, inline)]
On Sat, Sep 18, 2010 at 04:10:11PM +0200, Michael Schutte wrote:

> > /usr/lib/ruby/1.8/json/common.rb:232:in `to_json': source sequence is illegal/malformed (JSON::GeneratorError)
> >         from /usr/lib/ruby/1.8/json/common.rb:232:in `pretty_generate'
> >         from /usr/lib/ruby/1.8/ohai/system.rb:222:in `json_pretty_print'
> >         from /usr/lib/ruby/1.8/ohai/application.rb:104:in `run_application'
> >         from /usr/lib/ruby/1.8/ohai/application.rb:75:in `run'
> >         from /usr/bin/ohai:47
> 
> I notice you are using an 8-bit charset; perhaps there is some non-UTF-8
> data that might upset the JSON library.  May I ask you the problem is
> still present when you run “LANG=C LC_ALL=C ohai”?
> 
> I guess the results of “ohai -ldebug” could also be useful to diagnose
> the issue.

Good catch, it is indeed the case.

you can reproduce this bug by editing /etc/passwd, adding some accented
letter to some user's full name, :set fileencoding=latin1 and save.

Then ohai will indeed fail like that. It will also fail with LANG=C
LC_ALL=C.

$ LANG=C LC_ALL=C ohai
/usr/lib/ruby/1.8/json/common.rb:232:in `to_json': source sequence is illegal/malformed (JSON::GeneratorError)
	from /usr/lib/ruby/1.8/json/common.rb:232:in `pretty_generate'
	from /usr/lib/ruby/1.8/ohai/system.rb:222:in `json_pretty_print'
	from /usr/lib/ruby/1.8/ohai/application.rb:104:in `run_application'
	from /usr/lib/ruby/1.8/ohai/application.rb:75:in `run'
	from /usr/bin/ohai:47


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sat, 13 Nov 2010 19:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 13 Nov 2010 19:21:08 GMT) Full text and rfc822 format available.

Message #25 received at 596351@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: 596351@bugs.debian.org
Cc: debian-release@bugs.debian.org
Subject: reproducible, but could be removed from testing?
Date: Sat, 13 Nov 2010 19:18:03 +0000
FWIW, I managed to reproduce this. Simply edit /etc/passwd and add a
character above 127 in a non-UTF charset to one of the full-name fields - I
used £ in iso-8859-1 (using set fileencoding=iso-8859-1 in vim).


The ohai package currently in squeeze and sid has an RC bug
(#596351). The first message in the bugreport suggests that the problem
might actually be down to an old version of libjson-ruby (latest upstream
seems to be 1.4.6).

The popcon for ohai is pretty low (~50). Perhaps it could be considered for
removal from squeeze? I would imagine that wheezy will contain a version of
libjson-ruby that doesn't trigger the bug.

kthxbai,
-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#596351; Package ohai. (Sat, 13 Nov 2010 23:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joshua Timberman <joshua@opscode.com>:
Extra info received and forwarded to list. (Sat, 13 Nov 2010 23:30:10 GMT) Full text and rfc822 format available.

Message #30 received at 596351@bugs.debian.org (full text, mbox):

From: Joshua Timberman <joshua@opscode.com>
To: 596351@bugs.debian.org
Subject: ohai is required for Chef
Date: Sat, 13 Nov 2010 16:27:51 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello Chris!

Ohai is required for Chef. Is this a localization issue that can be fixed upstream in Ohai?

Or is it in fact a bug in older version of JSON available in Debian? This is the first I've heard of the issue with Ohai.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iEYEARECAAYFAkzfHvgACgkQO97WSdVpzT0jbACdG8grBq1mug81BSOT2ypVyUsC
gDwAn2JJf2H7I17jhKxsr+pUZNIzwjQ7
=5JPS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#596351; Package ohai. (Mon, 15 Nov 2010 03:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joshua Timberman <joshua@opscode.com>:
Extra info received and forwarded to list. (Mon, 15 Nov 2010 03:36:02 GMT) Full text and rfc822 format available.

Message #35 received at 596351@bugs.debian.org (full text, mbox):

From: Joshua Timberman <joshua@opscode.com>
To: 596351@bugs.debian.org
Subject: Error appears to be in JSON library, not ohai
Date: Sun, 14 Nov 2010 20:33:01 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The error appears to be with json, not with ohai. With the version 1.1.9 libjson-ruby package installed:

irb(main):001:0> l="\370"
=> "\370"
irb(main):002:0> require 'json'
=> true
irb(main):003:0> l.to_json
JSON::GeneratorError: partial character in source, but hit end
        from (irb):3:in `to_json'
        from (irb):3
        from :0

With the package removed, and the 1.4.6 (latest) json gem installed:

irb(main):001:0> l="\370"
=> "\370"
irb(main):002:0> require 'rubygems'
=> true
irb(main):003:0> require 'json'
=> true
irb(main):004:0> l.to_json
=> "\"\370\""

This is completely independent of ohai, as it wasn't even installed on the test system. 

I tested every version of the JSON gem from 1.1.9 to 1.4.6. The fix for this bug occurs somewhere between 1.2.4 and 1.4.0, though I'm not familiar with the codebase, so I don't know what change resolves this issue.

The JSON gem has a history of issues, and while it seems that 1.1.9 may otherwise be stable, it is a year old and has a lot of improvements. So far I have not seen any issues with version 1.4.6, in ohai or otherwise. I hope that Debian can make an exception for getting the latest version into Squeeze. As the package maintainer for ohai, I don't think that patching ohai to workaround this bug is appropriate.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iEYEARECAAYFAkzgqe0ACgkQO97WSdVpzT2tugCfQchYyJkidKKljZa4AAyjPDEj
RDIAn3DJWG3u7F86LKHdJfFxoGIB7TbD
=l27x
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sun, 19 Dec 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 19 Dec 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 596351@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Joshua Timberman <joshua@opscode.com>, 596351@bugs.debian.org
Subject: Re: Bug#596351: ohai is required for Chef
Date: Sun, 19 Dec 2010 14:53:46 +0000
Apologies for the delay; I forgot to subscribe to the bug and therefore
missed your response.

On Sat, Nov 13, 2010 at 04:27:51PM -0700, Joshua Timberman wrote:
> Ohai is required for Chef. Is this a localization issue that can be fixed upstream in Ohai?

Well chef was not in lenny either, and has a similarly low popcon count. It
could be considered for removal from squeeze as well, especially at this
late stage in the squeeze release.


On Sun, Nov 14, 2010 at 08:33:01PM -0700, Joshua Timberman wrote:
> The JSON gem has a history of issues, and while it seems that 1.1.9 may
> otherwise be stable, it is a year old and has a lot of improvements. So
> far I have not seen any issues with version 1.4.6, in ohai or otherwise. I
> hope that Debian can make an exception for getting the latest version into
> Squeeze. As the package maintainer for ohai, I don't think that patching
> ohai to workaround this bug is appropriate.

I doubt that the Release Team would accept a new upstream version now (nor
do I think they would've accepted it a month ago), so that is not really an
option.

One suggestion, made by Neil Williams, was to patch ohai to output a useful
error message when it encounters an invalid character. In other words,
replace the fairly meaningless exception with a useful error message,
detailing what the problem is (invalid utf-8 character) and the file/line of
the problem. IMO this would make the bug non-RC, as it should make it
obvious to the user how to fix the problem.

Is that something that would be quick and easy for you to do? I had a quick
look at the ohai source to see if I could provide a patch, but I'm not
familiar enough with the source or Ruby itself to work out where to modify
it.

If the above is not possible, I return to my previous suggestion of removing
ohai & chef from squeeze. Once wheezy is up and running, there should be no
problem getting the new libjson-ruby package in. There's always the option
of providing packages via backports.debian.org once squeeze is released.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sun, 19 Dec 2010 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@funky-badger.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 19 Dec 2010 15:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 596351@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@funky-badger.org>
To: Chris Butler <chrisb@debian.org>, 596351@bugs.debian.org
Cc: Joshua Timberman <joshua@opscode.com>
Subject: Re: Bug#596351: ohai is required for Chef
Date: Sun, 19 Dec 2010 15:39:22 +0000
On Sun, 2010-12-19 at 14:53 +0000, Chris Butler wrote:
> On Sun, Nov 14, 2010 at 08:33:01PM -0700, Joshua Timberman wrote:
> > The JSON gem has a history of issues, and while it seems that 1.1.9 may
> > otherwise be stable, it is a year old and has a lot of improvements. So
> > far I have not seen any issues with version 1.4.6, in ohai or otherwise. I
> > hope that Debian can make an exception for getting the latest version into
> > Squeeze. As the package maintainer for ohai, I don't think that patching
> > ohai to workaround this bug is appropriate.
> 
> I doubt that the Release Team would accept a new upstream version now (nor
> do I think they would've accepted it a month ago), so that is not really an
> option.

fwiw, there was a mention of this on -release a few weeks ago, but
Joshua never replied to my follow-up
(http://lists.debian.org/debian-release/2010/11/msg01263.html).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sun, 19 Dec 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 19 Dec 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 596351@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: "Adam D. Barratt" <adam@funky-badger.org>, 596351@bugs.debian.org
Cc: Chris Butler <chrisb@debian.org>, Joshua Timberman <joshua@opscode.com>
Subject: Re: Bug#596351: ohai is required for Chef
Date: Sun, 19 Dec 2010 17:16:46 +0000
On Sun, Dec 19, 2010 at 03:39:22PM +0000, Adam D. Barratt wrote:
> On Sun, 2010-12-19 at 14:53 +0000, Chris Butler wrote:
> > On Sun, Nov 14, 2010 at 08:33:01PM -0700, Joshua Timberman wrote:
> > > The JSON gem has a history of issues, and while it seems that 1.1.9 may
> > > otherwise be stable, it is a year old and has a lot of improvements. So
> > > far I have not seen any issues with version 1.4.6, in ohai or otherwise. I
> > I doubt that the Release Team would accept a new upstream version now (nor
> > do I think they would've accepted it a month ago), so that is not really an
> > option.
> 
> fwiw, there was a mention of this on -release a few weeks ago, but
> Joshua never replied to my follow-up
> (http://lists.debian.org/debian-release/2010/11/msg01263.html).

Aha… apologies for not spotting that.

If it's any use, I ran a quick "git bisect" on the upstream source, and
discovered the commit which seems to have fixed the problem:

https://github.com/flori/json/commit/dd06e48aa414674f52e81f9cdc7836b6456c04f8

However, this doesn't apply cleanly to v1.1.9, as it seems the code is now
using a different string buffer implementation for its result. I've not
looked much further to see how easy it would be to backport the change (it
may not be too difficult if the two string buffer implementations have
similar APIs).

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sat, 25 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 25 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 596351@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Chris Butler <chrisb@debian.org>, 596351@bugs.debian.org
Cc: "Adam D. Barratt" <adam@funky-badger.org>, Joshua Timberman <joshua@opscode.com>
Subject: Re: Bug#596351: ohai is required for Chef
Date: Sat, 25 Dec 2010 21:53:40 +0100
[Message part 1 (text/plain, inline)]
On Sun, Dec 19, 2010 at 17:16:46 +0000, Chris Butler wrote:

> If it's any use, I ran a quick "git bisect" on the upstream source, and
> discovered the commit which seems to have fixed the problem:
> 
> https://github.com/flori/json/commit/dd06e48aa414674f52e81f9cdc7836b6456c04f8
> 
> However, this doesn't apply cleanly to v1.1.9, as it seems the code is now
> using a different string buffer implementation for its result. I've not
> looked much further to see how easy it would be to backport the change (it
> may not be too difficult if the two string buffer implementations have
> similar APIs).
> 
Is there any chance you could do that? :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sat, 08 Jan 2011 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 08 Jan 2011 15:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 596351@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: debian-release@lists.debian.org, Chris Butler <chrisb@debian.org>
Cc: 596351@bugs.debian.org, Joshua Timberman <joshua@opscode.com>, pkg-ruby-extras-maintainers@lists.alioth.debian.org
Subject: Removing ohai and chef?
Date: Sat, 8 Jan 2011 15:44:07 +0000
[Message part 1 (text/plain, inline)]
On Sat, 25 Dec 2010 21:53:40 +0100 Julien Cristau wrote:
> On Sun, Dec 19, 2010 at 17:16:46 +0000, Chris Butler wrote:
> 
> > If it's any use, I ran a quick "git bisect" on the upstream source,
> > and discovered the commit which seems to have fixed the problem:
> > 
> > https://github.com/flori/json/commit/dd06e48aa414674f52e81f9cdc7836b6456c04f8
> > 
> > However, this doesn't apply cleanly to v1.1.9, as it seems the code
> > is now using a different string buffer implementation for its
> > result. I've not looked much further to see how easy it would be to
> > backport the change (it may not be too difficult if the two string
> > buffer implementations have similar APIs).
> > 
> Is there any chance you could do that? :)

Bearing in mind Chris' previous comment:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596351#40

"If the above is not possible, I return to my previous suggestion of
removing ohai & chef from squeeze. Once wheezy is up and running, there
should be no problem getting the new libjson-ruby package in. There's
always the option of providing packages via backports.debian.org once
squeeze is released."

Personally, I'd say it's time for a pair of RM bugs to be filed at
release.debian.org to remove ohai and chef from Squeeze. This bug
doesn't warrant blocking Squeeze.

I'll file those two tomorrow unless someone comes up with a patch for
ohai (or the release team decide to add the hints anyway).

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Tue, 18 Jan 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Tue, 18 Jan 2011 11:39:03 GMT) Full text and rfc822 format available.

Message #65 received at 596351@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Neil Williams <codehelp@debian.org>, 596351@bugs.debian.org
Cc: debian-release@lists.debian.org, Chris Butler <chrisb@debian.org>, Joshua Timberman <joshua@opscode.com>, pkg-ruby-extras-maintainers@lists.alioth.debian.org
Subject: Re: Bug#596351: Removing ohai and chef?
Date: Tue, 18 Jan 2011 12:37:56 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 596351 squeeze-will-remove
kthxbye

On Sat, Jan  8, 2011 at 15:44:07 +0000, Neil Williams wrote:

> Bearing in mind Chris' previous comment:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596351#40
> 
> "If the above is not possible, I return to my previous suggestion of
> removing ohai & chef from squeeze. Once wheezy is up and running, there
> should be no problem getting the new libjson-ruby package in. There's
> always the option of providing packages via backports.debian.org once
> squeeze is released."
> 
> Personally, I'd say it's time for a pair of RM bugs to be filed at
> release.debian.org to remove ohai and chef from Squeeze. This bug
> doesn't warrant blocking Squeeze.
> 
Will remove from squeeze.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Thu, 04 Aug 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Ziegler" <diese-addy@funzt-halt.net>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Thu, 04 Aug 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #70 received at 596351@bugs.debian.org (full text, mbox):

From: "Michael Ziegler" <diese-addy@funzt-halt.net>
To: 596351@bugs.debian.org
Subject: Re: Bug#596351: Bug seems gone?
Date: Thu, 04 Aug 2011 15:44:22 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

since Squeeze has been released, what about re-entering this package
into testing? I can't reproduce the bug neither on sid, nor on a testing
machine with the package backported to it.

Cheers,
Michael
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJOOqI2AAoJEEn0ejpI+BVDHoQIANdcH/LYQ2SU/pJSR5ykfNX0
ti14HMrEvVlcMhx00r/V059RAurwA6cVTzke03CWHxe8FV/MuaippCP352/uRpxS
0ho9IgWUl7fwicryPAuQT7tR6bnzqA2CMJwQuka3/+0P6LmOyFGaXzuNPKCcugRL
3jnOWcrC7nH/ef0sGDYq8ksnX6kbMimJQvfpynd7Dnqk60TiZKs4Ry9SyeQwcZll
O6bPhiVm2F7N+BNhIrqaZCJLcCw2nQdzBeEzS7NYmpSHLgDEfW7Dv0M4nZbgHjvB
0Mv9aFZygrhf7NFhHE69x1LvnLQZBW33nEI8Fju23dyPcOtka5VSl927p7X6a8c=
=90Lr
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#596351; Package ohai. (Sun, 07 Aug 2011 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 07 Aug 2011 17:21:03 GMT) Full text and rfc822 format available.

Message #75 received at 596351@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: 596351@bugs.debian.org
Cc: "Christopher Huhn, GSI" <C.Huhn@gsi.de>, Marcos Marado <mindboosternoori@gmail.com>, Michael Schutte <michi@uiae.at>, Enrico Zini <enrico@enricozini.org>, Chris Butler <chrisb@debian.org>, Joshua Timberman <joshua@opscode.com>, "Adam D. Barratt" <adam@funky-badger.org>, Julien Cristau <jcristau@debian.org>, Neil Williams <codehelp@debian.org>, Michael Ziegler <diese-addy@funzt-halt.net>
Subject: Re: ohai fails with: to_json: source sequence is illegal/malformed
Date: Sun, 07 Aug 2011 19:17:38 +0200
[Message part 1 (text/plain, inline)]
Hi everybody,

AFAICT ohai works fine nowadays:

	$ getent passwd 1000
	alexander:x:1000:1000:Alexander' Kurtz£,,,,:/home/alexander:/bin/bash
	$ ohai 
	{
	  [...]
	  "platform": "debian"
	}
	$ 

Chris Butler suggested[1] that this commit to ruby-json might be a fix:

	https://github.com/flori/json/commit/dd06e48aa414674f52e81f9cdc7836b6456c04f8

This commit seems to be included in the latest version of ruby-json:

	$ grep --recursive --context=3 'def benchmark_generator_ascii' ruby-json-1.5.3/
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-  alias reset_benchmark_generator_pretty generic_reset_method
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb:  def benchmark_generator_ascii
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-    @result = JSON.generate(@big, :ascii_only => true)
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-  end
	ruby-json-1.5.3/benchmarks/generator2_benchmark.rb-
	--
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-  alias reset_benchmark_generator_pretty generic_reset_method
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb:  def benchmark_generator_ascii
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-    @result = JSON.generate(@big, :ascii_only => true)
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-  end
	ruby-json-1.5.3/benchmarks/generator_benchmark.rb-
	$ 

Unless somebody tells me otherwise, I'm going to reassign this bug to
ruby-json and close it with the appropriate version in a few days.

Best regards

Alexander Kurtz

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596351#50
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
You have taken responsibility. (Thu, 11 Aug 2011 18:30:08 GMT) Full text and rfc822 format available.

Notification sent to "Christopher Huhn, GSI" <C.Huhn@gsi.de>:
Bug acknowledged by developer. (Thu, 11 Aug 2011 18:30:08 GMT) Full text and rfc822 format available.

Message #80 received at 596351-done@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: 596351-done@bugs.debian.org
Subject: Re: ohai fails with: to_json: source sequence is illegal/malformed
Date: Thu, 11 Aug 2011 20:25:56 +0200
[Message part 1 (text/plain, inline)]
reassign 596351 ruby-json
fixed 596351 1.5.1-2
thanks

Hi,

I'm closing this bug now. Please see my former mail[1] for more
information. Feel free to reopen if necessary.

Best regards

Alexander Kurtz

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=596351#75
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'ohai' to 'ruby-json'. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 18:39:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ohai/0.5.6-1. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 18:39:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions ruby-json/1.5.1-2. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 18:39:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Sep 2011 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:25:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.